SkinMarketCap API
Items

Get item

One CS2 item by its Steam market hash name. Costs 1 credit.

GET
/v1/items/{marketHashName}

Authorization

x-api-key<token>

In: header

Path Parameters

marketHashName*string

The Steam market hash name, URL-encoded (encodeURIComponent)

Length1 <= length <= 300

Query Parameters

phase?string

Required when Doppler phases share the market hash name; without it the 400 lists the phases the name has

Value in

  • "Phase 1"
  • "Phase 2"
  • "Phase 3"
  • "Phase 4"
  • "Ruby"
  • "Sapphire"
  • "Black Pearl"
  • "Emerald"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/items/{marketHashName}"
{  "marketHashName": "★ StatTrak™ Karambit | Doppler (Factory New)",  "name": "★ Karambit | Doppler",  "itemSlug": "karambit-doppler-phase-4",  "type": "skin",  "weapon": "Karambit",  "rarity": {    "name": "Covert",    "color": "#eb4b4b"  },  "exterior": "Factory New",  "quality": "stattrak",  "phase": "Phase 4",  "image": "https://community.akamai.steamstatic.com/economy/image/i0CoZ81Ui0m-9KwlBY1L_18myuGuq1wfhWSaZgMttyVfPaERSR0Wqmu7LAocGIGz3UqlXOLrxM-vMGmW8VNxu5Dx60noTyL6kJ_m-B1Q7uCvZaZkNM-SA1iUzv5mvOR7cDm7lA4i5wKJk4jxNWXCaQQnA5B5Q-8O4xnpltazNri37gGPgtlDzin7iXhN6y44tb0GUaYg5OSJ2A0QBM1-",  "collections": [    {      "slug": "the-chroma-collection",      "name": "The Chroma Collection"    },    {      "slug": "the-chroma-2-collection",      "name": "The Chroma 2 Collection"    },    {      "slug": "the-chroma-3-collection",      "name": "The Chroma 3 Collection"    }  ],  "crates": [    {      "slug": "chroma-case",      "name": "Chroma Case"    },    {      "slug": "chroma-2-case",      "name": "Chroma 2 Case"    },    {      "slug": "chroma-3-case",      "name": "Chroma 3 Case"    }  ],  "price": 119990,  "listings": 69,  "change24h": -1.82,  "change7d": -2.22,  "change30d": -6.91,  "markets": [    {      "marketplace": "skinport",      "price": 119990,      "listings": 1    },    {      "marketplace": "dmarket",      "price": 122130,      "listings": 7    },    {      "marketplace": "lisskins",      "price": 124633,      "listings": 11    }  ]}